public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: games-emulation/generator/, games-emulation/generator/files/
@ 2018-04-29 11:26 Pacho Ramos
  0 siblings, 0 replies; 2+ messages in thread
From: Pacho Ramos @ 2018-04-29 11:26 UTC (permalink / raw
  To: gentoo-commits

commit:     5d1e26892212ffbdcae528cd2e38efc4f3230515
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 29 09:42:39 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Apr 29 11:25:41 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5d1e2689

games-emulation/generator: Drop games.eclass, fix compilation (#650574)

Package-Manager: Portage-2.3.31, Repoman-2.3.9

 .../files/generator-0.35_p4-configure.patch        |  4 +-
 .../generator/files/generator-0.35_p4-inline.patch | 12 +++++
 .../files/generator-0.35_p4-underlink.patch        |  4 +-
 .../generator/generator-0.35_p4-r1.ebuild          | 54 ++++++++++++++++++++++
 4 files changed, 70 insertions(+), 4 deletions(-)

diff --git a/games-emulation/generator/files/generator-0.35_p4-configure.patch b/games-emulation/generator/files/generator-0.35_p4-configure.patch
index 72ed087bd29..a918c4a9711 100644
--- a/games-emulation/generator/files/generator-0.35_p4-configure.patch
+++ b/games-emulation/generator/files/generator-0.35_p4-configure.patch
@@ -1,5 +1,5 @@
---- configure.ac.original	2008-03-17 13:07:48.000000000 -0400
-+++ configure.ac	2008-03-17 13:08:03.000000000 -0400
+--- a/configure.ac.original	2008-03-17 13:07:48.000000000 -0400
++++ b/configure.ac	2008-03-17 13:08:03.000000000 -0400
 @@ -28,15 +28,12 @@
    AC_ARG_WITH(tcltk,
                AS_HELP_STRING(--with-tcltk,Create tcltk version),

diff --git a/games-emulation/generator/files/generator-0.35_p4-inline.patch b/games-emulation/generator/files/generator-0.35_p4-inline.patch
new file mode 100644
index 00000000000..e7f09fa3689
--- /dev/null
+++ b/games-emulation/generator/files/generator-0.35_p4-inline.patch
@@ -0,0 +1,12 @@
+diff -aur generator-0.35-cbiere-r4/ym2612/support.h generator-0.35-cbiere-r4-patched/ym2612/support.h
+--- generator-0.35-cbiere-r4/ym2612/support.h	2005-08-27 05:12:29.000000000 -0400
++++ generator-0.35-cbiere-r4-patched/ym2612/support.h	2018-03-26 11:49:36.000000000 -0400
+@@ -3,7 +3,7 @@
+ #include "config.h"
+ 
+ #define errorlog 0
+-#define INLINE inline
++#define INLINE
+ #define HAS_YM2612 1
+ #define YM2612UpdateRequest(x) 
+ #define AY8910_set_clock(chip,clock)

diff --git a/games-emulation/generator/files/generator-0.35_p4-underlink.patch b/games-emulation/generator/files/generator-0.35_p4-underlink.patch
index 964a6bea088..b350e8b8a33 100644
--- a/games-emulation/generator/files/generator-0.35_p4-underlink.patch
+++ b/games-emulation/generator/files/generator-0.35_p4-underlink.patch
@@ -1,5 +1,5 @@
---- main/Makefile.am.old	2011-06-20 21:35:25.832460030 +0200
-+++ main/Makefile.am	2011-06-20 21:36:29.490503981 +0200
+--- a/main/Makefile.am.old	2011-06-20 21:35:25.832460030 +0200
++++ b/main/Makefile.am	2011-06-20 21:36:29.490503981 +0200
 @@ -7,7 +7,7 @@
  bin_PROGRAMS = @PROGRAM@
  EXTRA_PROGRAMS = generator-svgalib generator-tcltk generator-allegro \

diff --git a/games-emulation/generator/generator-0.35_p4-r1.ebuild b/games-emulation/generator/generator-0.35_p4-r1.ebuild
new file mode 100644
index 00000000000..14ef210d58a
--- /dev/null
+++ b/games-emulation/generator/generator-0.35_p4-r1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools toolchain-funcs
+
+MY_P="${PN}-${PV/_p/-cbiere-r}"
+DESCRIPTION="Sega Genesis / Mega Drive emulator"
+HOMEPAGE="http://www.squish.net/generator/"
+SRC_URI="http://www.squish.net/generator/cbiere/generator/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+sdlaudio"
+
+RDEPEND="
+	virtual/jpeg:0
+	media-libs/libsdl[joystick,video]
+	sdlaudio? ( media-libs/libsdl[sound] )
+"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+	default
+	eapply \
+		"${FILESDIR}"/${P}-configure.patch \
+		"${FILESDIR}"/${P}-underlink.patch \
+		"${FILESDIR}"/${P}-inline.patch
+
+	sed -i -e 's/@GTK_CFLAGS@//g' main/Makefile.am || die
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		--with-cmz80 \
+		--with-sdl \
+		--without-tcltk \
+		--with-gcc=$(gcc-major-version) \
+		$(use_with sdlaudio sdl-audio)
+}
+
+src_compile() {
+	[[ -f Makefile ]] && emake clean
+	emake -j1
+}
+
+src_install() {
+	dobin main/generator-sdl
+	dodoc AUTHORS ChangeLog NEWS README TODO docs/*
+}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-emulation/generator/, games-emulation/generator/files/
@ 2020-07-05  0:24 David Seifert
  0 siblings, 0 replies; 2+ messages in thread
From: David Seifert @ 2020-07-05  0:24 UTC (permalink / raw
  To: gentoo-commits

commit:     1c9532d3bd70edd5e4e3d296097a058e68c87b0a
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Jul  5 00:23:26 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Jul  5 00:23:26 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1c9532d3

games-emulation/generator: Fix build system

Closes: https://bugs.gentoo.org/656344
Closes: https://bugs.gentoo.org/686198
Closes: https://bugs.gentoo.org/707776
Closes: https://bugs.gentoo.org/724416
Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 ...gure.patch => generator-0.35_p4-autoconf.patch} | 16 +++++++++----
 .../files/generator-0.35_p4-automake.patch         | 26 ++++++++++++++++++++
 ..._p4-gcc-9.patch => generator-0.35_p4-gcc.patch} | 28 ++++++++++++++++++----
 .../generator/files/generator-0.35_p4-inline.patch | 12 ----------
 .../files/generator-0.35_p4-underlink.patch        | 11 ---------
 .../generator/generator-0.35_p4-r1.ebuild          | 25 ++++++++++---------
 6 files changed, 74 insertions(+), 44 deletions(-)

diff --git a/games-emulation/generator/files/generator-0.35_p4-configure.patch b/games-emulation/generator/files/generator-0.35_p4-autoconf.patch
similarity index 94%
rename from games-emulation/generator/files/generator-0.35_p4-configure.patch
rename to games-emulation/generator/files/generator-0.35_p4-autoconf.patch
index a918c4a9711..ccc9655a2a7 100644
--- a/games-emulation/generator/files/generator-0.35_p4-configure.patch
+++ b/games-emulation/generator/files/generator-0.35_p4-autoconf.patch
@@ -1,5 +1,5 @@
---- a/configure.ac.original	2008-03-17 13:07:48.000000000 -0400
-+++ b/configure.ac	2008-03-17 13:08:03.000000000 -0400
+--- a/configure.ac
++++ b/configure.ac
 @@ -28,15 +28,12 @@
    AC_ARG_WITH(tcltk,
                AS_HELP_STRING(--with-tcltk,Create tcltk version),
@@ -68,7 +68,15 @@
    AC_CHECK_LIB(jpeg, jpeg_start_compress, 
      [ MY_LIBS="-ljpeg $MY_LIBS"; AC_DEFINE(JPEG, 1, [JPEG features]) ])
  
-@@ -272,14 +225,7 @@
+@@ -259,6 +212,7 @@
+   AC_PROG_CC
+   AC_PROG_CPP
+   AC_PROG_RANLIB
++  AM_PROG_AR
+   AC_PROG_MAKE_SET
+   AC_ISC_POSIX
+   AC_PROG_INSTALL
+@@ -272,14 +226,7 @@
  
    AC_PATH_XTRA
  
@@ -84,7 +92,7 @@
      MY_SUBDIRS="gtkopts $MY_SUBDIRS"
      AM_PATH_SDL(1.2.6,,AC_MSG_ERROR(Generator needs sdk 1.2.6 or later))
  
-@@ -305,6 +251,7 @@
+@@ -305,6 +252,7 @@
    AC_CHECK_SIZEOF(unsigned long, 4)
    AC_CHECK_SIZEOF(unsigned long long, 8)
    AC_CHECK_HEADERS(sys/param.h)

diff --git a/games-emulation/generator/files/generator-0.35_p4-automake.patch b/games-emulation/generator/files/generator-0.35_p4-automake.patch
new file mode 100644
index 00000000000..e04ed94b9be
--- /dev/null
+++ b/games-emulation/generator/files/generator-0.35_p4-automake.patch
@@ -0,0 +1,26 @@
+--- a/cpu68k/Makefile.am
++++ b/cpu68k/Makefile.am
+@@ -29,6 +29,7 @@
+ 
+ gen68k_SOURCES = gen68k.c tab68k.c
+ gen68k_DEPENDENCIES = def68k-iibs.h
++BUILT_SOURCES = def68k-iibs.h
+ 
+ noinst_LIBRARIES = lib68k.a
+ lib68k_a_SOURCES = cpu68k-0.c cpu68k-1.c cpu68k-2.c cpu68k-3.c \
+--- a/main/Makefile.am
++++ b/main/Makefile.am
+@@ -3,11 +3,11 @@
+ INCLUDES = -I../hdr -I. -I../cpu68k -I../ym2612 -I../raze -I../cmz80 \
+            -I../sn76496 -I../gtkopts \
+            -DFNAME_TCLSCRIPT=\"${datadir}/generator/gen.tcl\" \
+-           @GTK_CFLAGS@ @SDL_CFLAGS@
++           @SDL_CFLAGS@
+ bin_PROGRAMS = @PROGRAM@
+ EXTRA_PROGRAMS = generator-svgalib generator-tcltk generator-allegro \
+                  generator-gtk generator-sdl
+-LDADD = ../cpu68k/lib68k.a ../ym2612/libym2612.a @MY_LIBS@ \
++LDADD = ../cpu68k/lib68k.a ../ym2612/libym2612.a @MY_LIBS@ -lm \
+         ../sn76496/libsn76496.a
+ 
+ ## this should be generator_tcltk_DATA but it won't let me do that

diff --git a/games-emulation/generator/files/generator-0.35_p4-gcc-9.patch b/games-emulation/generator/files/generator-0.35_p4-gcc.patch
similarity index 59%
rename from games-emulation/generator/files/generator-0.35_p4-gcc-9.patch
rename to games-emulation/generator/files/generator-0.35_p4-gcc.patch
index 7b8eeafb715..c0e22a05739 100644
--- a/games-emulation/generator/files/generator-0.35_p4-gcc-9.patch
+++ b/games-emulation/generator/files/generator-0.35_p4-gcc.patch
@@ -1,8 +1,17 @@
-https://bugs.gentoo.org/698944
-
+--- a/hdr/cpuz80.h
++++ b/hdr/cpuz80.h
+@@ -5,7 +5,7 @@
+ #  include "raze.h"
+ #else
+ #  include "cmz80.h"
+-CONTEXTMZ80 cpuz80_z80; /* extern'd for save state code */
++extern CONTEXTMZ80 cpuz80_z80; /* extern'd for save state code */
+ #endif
+ 
+ #define LEN_SRAM 0x2000
 --- a/main/vdp.c
 +++ b/main/vdp.c
-@@ -87,7 +87,7 @@ void vdp_describe(void);
+@@ -87,7 +87,7 @@
  void vdp_eventinit(void);
  void vdp_layer_simple(unsigned int layer, unsigned int priority,
                        uint8 *fielddata, unsigned int lineoffset);
@@ -11,7 +20,7 @@ https://bugs.gentoo.org/698944
                           uint8 *cellloc, unsigned int lineoffset);
  void vdp_sprites(unsigned int line, uint8 *pridata, uint8 *outdata);
  int vdp_sprite_simple(unsigned int priority, uint8 *framedata,
-@@ -1733,7 +1733,7 @@ void vdp_endfield(void)
+@@ -1733,7 +1733,7 @@
       vdp_event_endline); */
  }
  
@@ -20,3 +29,14 @@ https://bugs.gentoo.org/698944
                           uint8 *cellloc, unsigned int lineoffset)
  {
    int y, x;
+--- a/ym2612/support.h
++++ b/ym2612/support.h
+@@ -3,7 +3,7 @@
+ #include "config.h"
+ 
+ #define errorlog 0
+-#define INLINE inline
++#define INLINE
+ #define HAS_YM2612 1
+ #define YM2612UpdateRequest(x) 
+ #define AY8910_set_clock(chip,clock)

diff --git a/games-emulation/generator/files/generator-0.35_p4-inline.patch b/games-emulation/generator/files/generator-0.35_p4-inline.patch
deleted file mode 100644
index e7f09fa3689..00000000000
--- a/games-emulation/generator/files/generator-0.35_p4-inline.patch
+++ /dev/null
@@ -1,12 +0,0 @@
-diff -aur generator-0.35-cbiere-r4/ym2612/support.h generator-0.35-cbiere-r4-patched/ym2612/support.h
---- generator-0.35-cbiere-r4/ym2612/support.h	2005-08-27 05:12:29.000000000 -0400
-+++ generator-0.35-cbiere-r4-patched/ym2612/support.h	2018-03-26 11:49:36.000000000 -0400
-@@ -3,7 +3,7 @@
- #include "config.h"
- 
- #define errorlog 0
--#define INLINE inline
-+#define INLINE
- #define HAS_YM2612 1
- #define YM2612UpdateRequest(x) 
- #define AY8910_set_clock(chip,clock)

diff --git a/games-emulation/generator/files/generator-0.35_p4-underlink.patch b/games-emulation/generator/files/generator-0.35_p4-underlink.patch
deleted file mode 100644
index b350e8b8a33..00000000000
--- a/games-emulation/generator/files/generator-0.35_p4-underlink.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- a/main/Makefile.am.old	2011-06-20 21:35:25.832460030 +0200
-+++ b/main/Makefile.am	2011-06-20 21:36:29.490503981 +0200
-@@ -7,7 +7,7 @@
- bin_PROGRAMS = @PROGRAM@
- EXTRA_PROGRAMS = generator-svgalib generator-tcltk generator-allegro \
-                  generator-gtk generator-sdl
--LDADD = ../cpu68k/lib68k.a ../ym2612/libym2612.a @MY_LIBS@ \
-+LDADD = ../cpu68k/lib68k.a ../ym2612/libym2612.a @MY_LIBS@ -lm \
-         ../sn76496/libsn76496.a
- 
- ## this should be generator_tcltk_DATA but it won't let me do that

diff --git a/games-emulation/generator/generator-0.35_p4-r1.ebuild b/games-emulation/generator/generator-0.35_p4-r1.ebuild
index 54614d750d7..4b25e85945f 100644
--- a/games-emulation/generator/generator-0.35_p4-r1.ebuild
+++ b/games-emulation/generator/generator-0.35_p4-r1.ebuild
@@ -1,7 +1,8 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
+
 inherit autotools toolchain-funcs
 
 MY_P="${PN}-${PV/_p/-cbiere-r}"
@@ -14,26 +15,22 @@ SLOT="0"
 KEYWORDS="~amd64 ~x86"
 IUSE="+sdlaudio"
 
-DEPEND="
+RDEPEND="
 	virtual/jpeg:0
 	media-libs/libsdl[joystick,video]
-	sdlaudio? ( media-libs/libsdl[sound] )
-"
-RDEPEND="${DEPEND}"
+	sdlaudio? ( media-libs/libsdl[sound] )"
+DEPEND="${RDEPEND}"
 
 S="${WORKDIR}/${MY_P}"
 
 PATCHES=(
-	"${FILESDIR}"/${P}-configure.patch
-	"${FILESDIR}"/${P}-underlink.patch
-	"${FILESDIR}"/${P}-inline.patch
-	"${FILESDIR}"/${P}-gcc-9.patch
+	"${FILESDIR}"/${P}-autoconf.patch
+	"${FILESDIR}"/${P}-automake.patch
+	"${FILESDIR}"/${P}-gcc.patch
 )
 
 src_prepare() {
 	default
-
-	sed -i -e 's/@GTK_CFLAGS@//g' main/Makefile.am || die
 	eautoreconf
 }
 
@@ -48,5 +45,7 @@ src_configure() {
 
 src_install() {
 	dobin main/generator-sdl
-	dodoc AUTHORS ChangeLog NEWS README TODO docs/*
+
+	einstalldocs
+	dodoc -r docs/.
 }


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2020-07-05  0:24 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-04-29 11:26 [gentoo-commits] repo/gentoo:master commit in: games-emulation/generator/, games-emulation/generator/files/ Pacho Ramos
  -- strict thread matches above, loose matches on Subject: below --
2020-07-05  0:24 David Seifert

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox